function y=dist_Ham(x,x0)
%-------------------------------------------------------------------------
% Function which computes the hamming distance between two vectors
% Inputs: x0: the reference vector
%         x:  the measured vector
% Output: y:  the hamming distance value 
% Author: Toumi.I
% June 2017
%-------------------------------------------------------------------------

N=length(x0);
M=size(x0,2);

xtest=x;
xref=x0;

% Put to one the non zero coefficients 
xref(xref~=0)=1;
xtest(xtest~=0)=1;

% Hamming distance
y=length(find(xtest~=xref))/(N*M);

%End