% ----------------------------------------------------------------------
% Table comparison 
% Average intersection of S hamming and S for the different
% similarity measures in the inpainting case for two sounds 
% 31/10/2017
% By: Toumi.I
% ----------------------------------------------------------------------

clear all
close all

setpath;

soundname = [{'Speech'} {'Piano'}];
Percent = [0, 20, 40, 60, 80]; 

lf = length(soundname);
lp = length(Percent);

%% load matfiles

MInterCorr = zeros(lf,lp);
MInterm = zeros(lf,lp);
MInterIS = zeros(lf,lp);

for i = 1:lf
    for j = 1:lp
        
        filename = ['SimIntersection_' soundname{i} '_RandomHoles_' num2str(Percent(j)) 'percent'];
        load(filename);
        MInterCorr (i,j) = intercorr;
        MInterm (i,j) = interm;
        MInterIS (i,j) = interIS;
    end
end

%% Average intersection 

MeanCorr = round(mean (MInterCorr),1)
Meanm = round(mean (MInterm),1)
MeanIS = round(mean (MInterIS),1)

